<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>hk.quantr</groupId>
	<artifactId>TornadoVM-example</artifactId>
	<version>1.0</version>
	<packaging>jar</packaging>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>17</maven.compiler.source>
		<maven.compiler.target>17</maven.compiler.target>
		<exec.mainClass>hk.quantr.tornadovm.example.TornadoVMExample</exec.mainClass>
	</properties>
	<repositories>
		<repository>
			<id>universityOfManchester-graal</id>
			<url>https://raw.githubusercontent.com/beehive-lab/tornado/maven-tornadovm</url>
		</repository>
	</repositories>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>3.1.2</version>
				<configuration>
					<additionalClasspathElements>
						<additionalClasspathElement>/home/peter/workspace/TornadoVM/dist/tornado-sdk/tornado-sdk-0.15.2-dev-c1056ba/share/java/tornado/tornado-runtime-0.15.2-dev.jar</additionalClasspathElement>
						<additionalClasspathElement>/home/peter/workspace/TornadoVM/dist/tornado-sdk/tornado-sdk-0.15.2-dev-c1056ba/share/java/tornado/tornado-drivers-opencl-jni-0.15.2-dev-libs.jar</additionalClasspathElement>
					</additionalClasspathElements>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<dependencies>
		<dependency>
			<groupId>tornado</groupId>
			<artifactId>tornado-api</artifactId>
			<version>0.15.1</version>
		</dependency>
		<dependency>
			<groupId>tornado</groupId>
			<artifactId>tornado-matrices</artifactId>
			<version>0.15.1</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.13.2</version>
		</dependency>
	</dependencies>
</project>